Subject: [mile] Errata Questions for RFC 5070

From: "Stoecker, Paul" <[email-masked]>
Date: Thu, 17 Jan 2013 09:02:12 -0500

Team,

As I am going through the errata that has been submitted for RFC 5070 in preparation for a draft of an update, I noticed 2 issues with the errata that I wanted to get thoughts on:

For #18, Section 3.16.2, in the Address Class, the attribute "category" is listed in the schema as Optional, so the definition in the specification requires updating as follows.

Change from:

"   category

      Required.  ENUM.  Classifies the role the host or network played

      in the incident.  The possible values are:"

To:

"   category

      Optional.  ENUM.  Classifies the role the host or network played

      in the incident.  The possible values are:"

In this one, the description of category is incorrect, it was carried over from errata #17.  However, I checked the schema and it is optional, so I changed the UML to make it optional as indicated above.  I just wanted to make sure that we agree that it OK?  I don't think I need to submit errata for the errata ;-), but wanted everyone to be aware.

#21, Section 3.17 Service Class, the UML diagram and text does not match the schema for the ProtoField element.

Change from:

"   ProtoFlags

      Zero or one.  INTEGER.  A layer-4 protocol specific flag field."

To:

"   ProtoField

      Zero or one.  INTEGER.  A layer-4 protocol specific flag field."

AND update the UML diagram from:

"  +---------------------+

   | Service             |

   +---------------------+

   | INTEGER ip_protocol |<>--{0..1}--[ Port        ]

   |                     |<>--{0..1}--[ Portlist    ]

   |                     |<>--{0..1}--[ ProtoCode   ]

   |                     |<>--{0..1}--[ ProtoType   ]

   |                     |<>--{0..1}--[ ProtoFlags  ]

   |                     |<>--{0..1}--[ Application ]

   +---------------------+

                       Figure 31: The Service Class"

To:

"  +---------------------+

   | Service             |

   +---------------------+

   | INTEGER ip_protocol |<>--{0..1}--[ Port        ]

   |                     |<>--{0..1}--[ Portlist    ]

   |                     |<>--{0..1}--[ ProtoCode   ]

   |                     |<>--{0..1}--[ ProtoType   ]

   |                     |<>--{0..1}--[ ProtoField  ]

   |                     |<>--{0..1}--[ Application ]

   +---------------------+

                       Figure 31: The Service Class"

I understand that we didn't want to make changes to the schema at the time that the errata was submitted, but for this one I really believe that it should be ProtoFlags and not ProtField.  I understand that this could mean that there are issues with backward compatibility for those that have implemented this RFC, but how do we handle other errors that occur in a schema?  Is it better to change the UML to match the schema?  I believe that we should fix the schema and change it to ProtoFlags, what do others think?

Regards,

Paul

Paul W. Stoecker, Ph.D.
SMC Lead Content Architect
RSA, The Security Division of EMC
cell: 302.379.3375 | e: [email-masked]<mailto:[email-masked]>

---

From: "Moriarty, Kathleen" <[email-masked]>
Date: Sat, 26 Jan 2013 09:51:15 -0500

Hi Paul,

Thank you for getting RFC5070-bis ready for updates!

As you make changes, please include a section that lists any updates from RFC5070.  You can look at RFC6545 or RFC6546 to see how it was done in those documents.

As for #17, yes, it looks like the wrong text was included for the errata, but you noted the discrepancy correctly for which the errata was posted.  While it was correct for the errata to prefer the schema, it would be easier for automated tools if the address category was required in the schema.  If you make the change so that the schema is updated, please include that in the updates section.  If someone reviews the document later, they will see the change in case they didn't weigh in now when it was first posted.

For #21, I agree, just go ahead and correct the schema, just note the change from the errata in the updates section.

If you don't hear anything on list to the contrary, it is probably better to get the document out as a number of people will wait for that before starting to comment.  

A few people have mentioned they will submit requested changes once the draft is published from their use of IODEF.

Thank you!
Kathleen
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Stoecker, Paul [[email-masked]]
Sent: Thursday, January 17, 2013 9:02 AM
To: [email-masked]
Subject: [mile] Errata Questions for RFC 5070

Team,

Change from:

"   category

To:

"   category

Change from:

"   ProtoFlags

To:

"   ProtoField

   | Service             |

   +---------------------+

   +---------------------+

To:

   | Service             |

   +---------------------+

   +---------------------+

Regards,

Paul

Paul W. Stoecker, Ph.D.